=== debian/changelog ===
flexml (1-5) unstable; urgency=low

  * doc-base fixed (and bogus menu removed).
  * HTML documentation cleaned up.

 -- Kristoffer H. Rose <krisrose@debian.org>  Mon, 13 Dec 1999 17:00:32 +0100

flexml (1-4) unstable; urgency=low

  * Oops: install in skel, not skel/skel [sic].

 -- Kristoffer H. Rose <krisrose@debian.org>  Thu,  9 Dec 1999 17:45:23 +0100

flexml (1-3) unstable; urgency=low

  * Added perl -w option and eliminated all encountered warnings.
  * Use LWP to DTDs and external entities specified by URI.

 -- Kristoffer Rose <krisrose@debian.org>  Thu,  9 Dec 1999 04:37:26 +0100

flexml (1-2) unstable; urgency=low

  * Fixed version oops.
  * DTD parser and state transition tables cleaned up somewhat.
  * Can now correctly generate the `xhtml-href' application.

 -- Kristoffer H. Rose <krisrose@debian.org>  Mon,  6 Dec 1999 22:06:43 +0100

flexml (1-1) unstable; urgency=low

  * Manual page and program fully in sync.
  * Introductory document added.
  * Application-generation tested some.
  * flexml.skel renamed to skel [sic].
  * Several printf formats fixed.
  * Optimizations to avoid scanner backup on valid documents.
  * Further development...

 -- Kristoffer H. Rose <krisrose@debian.org>  Thu, 25 Nov 1999 19:38:29 +0100

flexml (1-0) unstable; urgency=low

  * Initial Release.

 -- Kristoffer H. Rose <krisrose@debian.org>  Tue, 23 Nov 1999 11:41:52 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "krisrose@debian.org"
End:
