=== debian/control ===
Source: flexml
Section: devel
Priority: optional
Maintainer: Kristoffer H. Rose <krisrose@debian.org>
Standards-Version: 3.0.1

Package: flexml
Architecture: any
Depends: ${shlibs:Depends}, perl5, libwww-perl
Recommends: flex
Description: Generate fast validating XML processors and applications.
 FleXML makes it easy to generate very fast validating XML processors
 as flex(1) source.
 .
 By design it can only handle documents using an external DTD.
