## flexml 1-6.1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # with this program; if not, write to the Free Software Foundation, Inc., 59
 # Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 
-# $Id: Makefile,v 1.24 1999/12/09 16:48:35 krisrose Exp krisrose $
+# $Id: Makefile,v 1.26 2001/08/31 03:51:23 shack Exp $
 
 # FILES.
 
@@ -29,9 +29,10 @@
 MANS =	flexml.1
 DOCS =	README flexml-act.dtd EnlargeFlex.patch
 HTMLS =	index.html flexml.html paper.html
-SAMPS =	my.dtd my-show.act my-joke.xml my-joke2.xml my-joke3.xml \
-	tricky.dtd tricky.act tricky.xml \
-	test.html
+SAMPS =	
+#SAMPS =	my.dtd my-show.act my-joke.xml my-joke2.xml my-joke3.xml \
+#	tricky.dtd tricky.act tricky.xml \
+#	test.html
 
 SRC =	$(STUFF) $(DATA) $(DOCS) $(HTMLS) $(SAMPS)
 ALL =	$(PROGS) $(LIBS) $(DATA) $(MANS) $(DOCS) $(HTMLS) $(SAMPS)
@@ -83,11 +84,11 @@
 	install -m444 $(MANS) $(DESTDIR)$(MAN1DIR)/
 	install -m444 $(DOCS) $(DESTDIR)$(DOCDIR)/flexml/
 	install -m444 $(HTMLS) $(DESTDIR)$(DOCDIR)/flexml/html/
-	install -m444 $(SAMPS) $(DESTDIR)$(DOCDIR)/flexml/examples/
+	make -C examples install
 
 dist:		clean
-	rsync -v FleXML.html $(WEBHOME)/FleXML.html
-	rsync -va --cvs-exclude --delete-excluded ./ $(FTPHOME)/
+	#rsync -v FleXML.html $(WEBHOME)/FleXML.html
+	#rsync -va --cvs-exclude --delete-excluded ./ $(FTPHOME)/
 
 clean::; @echo "Cleaning..."
 	$(RM) *.[olh1] *-dummy.? lex.* *~ ./#*
@@ -157,62 +158,8 @@
 
 # TESTS.
 
-# Example: LINK processor with application:
-
-my.l my.h:	my.dtd
-my.c:		my.l
-my.o:		my.c my.h
-
-my-show.c:	my-show.act my.dtd
-my-show.o:	my-show.c my.h
-my-show:	my-show.o my.o
-
-test::		my-show
-	./my-show <my-joke.xml && echo OK
-	./my-show <my-joke2.xml && echo OK
-	./my-show <my-joke3.xml || echo OK
-
-clean::; $(RM) my.c my-show my-show.c my-dummy my-dummy.c
-
-# Example: COMPILE processor into application
-
-tricky.l:	tricky.act tricky.dtd
-tricky.c:	tricky.l
-tricky.o:	tricky.c
-tricky:		tricky.o
-
-test::		tricky
-	./tricky <tricky.xml
-
-clean::; $(RM) tricky.[lco] tricky
-
-# Complex example: application to print XHTML <a href=...> values.
-# XHTML is big, so...we must use a patched flex (included in Debian).
-
-
-xhtml1-transitional.dtd:
-	wget 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'
-
-xhtml1-transitional.l xhtml1-transitional.h: xhtml1-transitional.dtd
-	./flexml.pl $(FLEXDEBUG) -sskel -rhtml \
-		-p "-//W3C//DTD XHTML 1.0 Transitional//EN" \
-		-u "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" \
-		xhtml1-transitional.dtd
-
-xhtml1-transitional.c:	xhtml1-transitional.l
-	$(FLEX) -Bsv -Ca -oxhtml1-transitional.c xhtml1-transitional.l
-
-xhtml1-transitional.o:	xhtml1-transitional.c xhtml1-transitional.h
-
-xhtml-href.c:	xhtml-href.act xhtml1-transitional.dtd
-xhtml-href.o:	xhtml-href.c xhtml1-transitional.h
-xhtml-href:	xhtml-href.o xhtml1-transitional.o
-
-test::		xhtml-href
-	./xhtml-href <test.html
-	./xhtml-href <FleXML.html
-
-clean::; $(RM) xhtml1-*.dtd xhtml1-*.[lhco] xhtml-href.[co] xhtml-href
+clean::; make -C examples $@
+test::; make -C examples $@
 
 # END.
