=== debian/changelog ===
flexml (1-6.1) unstable; urgency=low

  * Non-maintainer upload
  * Change the build-dep to flex-old 

 -- Pierre Machard <pmachard@debian.org>  Wed, 25 Jun 2003 10:25:24 +0200

flexml (1-6) unstable; urgency=low

  * Debian package synchronized with flexml.sourceforge.net.
  * Source dependencies added [thanks to ].

 -- Kristoffer Rose <krisrose@debian.org>  Tue, 11 Feb 2003 14:11:19 -0500
