=== debian/control ===
Source: flexml
Section: devel
Priority: optional
Maintainer: Kristoffer H. Rose <krisrose@debian.org>
Build-Depends: libwww-perl, debhelper (>>4.0.0) , flex-old, liburi-perl, libdate-calc-perl
Standards-Version: 3.5.10

Package: flexml
Architecture: any
Depends: ${shlibs:Depends}, libwww-perl, liburi-perl, libdate-calc-perl
Recommends: flex
Description: Generate fast validating XML processors and applications
 FleXML makes it easy to generate very fast validating XML processors
 as flex(1) source.
 .
 By design it can only handle documents using an external DTD.
