=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 	dh_testroot
 	rm -f build-stamp
 	-$(MAKE) clean
-
 	dh_clean
 
 install: build
@@ -48,7 +47,7 @@
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	dh_perl
+	dh_perl ./debian/tmp/usr/bin
 	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
