## flexml 1.4.1

=== Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 # with this program; if not, write to the Free Software Foundation, Inc., 59
 # Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 
-# $Id: Makefile,v 1.37 2005/04/06 10:25:52 mquinson Exp $
+# $Id: Makefile,v 1.39 2006/03/21 13:16:08 mquinson Exp $
 
 # SUFF (defined in Makefile.defs) is the versioning suffix added to binaries and
 # resource files. To get rid of it (and do a non-versioned install,
@@ -64,19 +64,17 @@
 	fi
 	make -C examples install
 
-# This should probably be something different
-FLEXML_DIR = $(FLEXML)
-
+FLEXML_DISTDIR = $(FLEXML)-$(VER)
 dist:		clean
 	@echo "Building distribution..."
-	mkdir $(FLEXML_DIR)
+	mkdir $(FLEXML_DISTDIR)
 	cp $(STUFF) $(DATA) $(DOCS) $(HTMLS) flexml-act-bootstrap.c \
-		$(FLEXML_DIR)
-	cp -r examples $(FLEXML_DIR)
-	find $(FLEXML_DIR) -name CVS | xargs rm -rf
-	find $(FLEXML_DIR) -name .cvsignore | xargs rm -rf
-	tar cvfz $(FLEXML_DIR).tar.gz $(FLEXML_DIR)
-	rm -rf $(FLEXML_DIR)
+		$(FLEXML_DISTDIR)
+	cp -r examples $(FLEXML_DISTDIR)
+	find $(FLEXML_DISTDIR) -name CVS | xargs rm -rf
+	find $(FLEXML_DISTDIR) -name .cvsignore | xargs rm -rf
+	tar cvfz $(FLEXML_DISTDIR).tar.gz $(FLEXML_DISTDIR)
+	rm -rf $(FLEXML_DISTDIR)
 
 	#rsync -v FleXML.html $(WEBHOME)/FleXML.html
 	#rsync -va --cvs-exclude --delete-excluded ./ $(FTPHOME)/
