=== examples/Makefile ===
--- 
+++ 
@@ -18,11 +18,15 @@
 # with this program; if not, write to the Free Software Foundation, Inc., 59
 # Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 
-# $Id: Makefile,v 1.4 2005/03/18 22:10:52 wdowling Exp $
+# $Id: Makefile,v 1.5 2006/03/21 13:11:27 mquinson Exp $
 
 # FILES.
 
 include ../Makefile.defs
+
+# Test the version in this dir, not the installed one
+SKEL=../skel
+ACT=../flexml-act
 
 SAMPS =	my.dtd my-show.act my-joke.xml my-joke2.xml my-joke3.xml \
 	tricky.dtd tricky.act tricky.xml \
@@ -55,7 +59,7 @@
 
 
 # DEFAULT RULES.
-FLEXML_PROG = ../$(FLEXML)
+FLEXML_PROG = ../$(FLEXML) -s$(SKEL) -T$(ACT)
 
 # Generate C source from flex scanner.
 %.c: 		%.l
@@ -89,9 +93,10 @@
 my-show:	my-show.o my.o
 
 test::		my-show
-	./my-show <my-joke.xml && echo OK
-	./my-show <my-joke2.xml && echo OK
-	./my-show <my-joke3.xml || echo OK
+	@echo "XXXXX Test: LINK processor with application"
+	if ./my-show <my-joke.xml  ; then echo "TEST PASSED"; else echo "TEST FAILED"; fi
+	if ./my-show <my-joke2.xml ; then echo "TEST PASSED"; else echo "TEST FAILED"; fi
+	if ./my-show <my-joke3.xml ; then echo "TEST FAILED"; else echo "TEST PASSED"; fi
 
 clean::; $(RM) my.c my-show my-show.c my-dummy my-dummy.c
 
@@ -103,7 +108,8 @@
 tricky:		tricky.o
 
 test::		tricky
-	./tricky <tricky.xml
+	@echo "XXXXX Test: COMPILE processor with application"
+	if ./tricky <tricky.xml ; then echo "TEST PASSED"; else echo "TEST FAILED"; fi
 
 clean::; $(RM) tricky.[lco] tricky
 
@@ -113,7 +119,7 @@
 	wget 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'
 
 xhtml1-transitional.l xhtml1-transitional.h: xhtml1-transitional.dtd
-	../$(FLEXML) $(FLEXDEBUG) -rhtml \
+	$(FLEXML_PROG) -rhtml \
 		-p "-//IETF//DTD XHTML 1.0 Transitional//EN" \
 		-u "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" \
 		xhtml1-transitional.dtd
@@ -128,8 +134,9 @@
 xhtml-href:	xhtml-href.o xhtml1-transitional.o
 
 test::		xhtml-href FleXML.xml
-	./xhtml-href <test.html
-	./xhtml-href < FleXML.xml
+	@echo "XXXXX Test: application to print XHTML <a href=...> values"
+	if ./xhtml-href <test.html   ; then echo "TEST PASSED"; else echo "TEST FAILED"; fi
+	if ./xhtml-href < FleXML.xml ; then echo "TEST PASSED"; else echo "TEST FAILED"; fi
 
 clean::; $(RM) xhtml1-*.dtd xhtml1-*.[lhco] xhtml-href.[co] xhtml-href
 
@@ -137,6 +144,7 @@
 
 clean::; @echo "Done cleaning."
 test::;	@echo "Done testing."
+test:: clean
 
 .PHONEY : echov
