## flexml 1.7

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Make(1) rules for FleXML XML processor generator system.
-# Copyright  1999 Kristoffer Rose.  All rights reserved.
+# Copyright (c) 1999 Kristoffer Rose.  All rights reserved.
 #
 # This file is part of the FleXML XML processor generator system.
-# Copyright  1999 Kristoffer Rose.  All rights reserved.
+# Copyright (c) 1999 Kristoffer Rose.  All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free
@@ -18,7 +18,7 @@
 # with this program; if not, write to the Free Software Foundation, Inc., 59
 # Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 
-# $Id: Makefile,v 1.39 2006/03/21 13:16:08 mquinson Exp $
+# $Id: Makefile,v 1.42 2006/08/23 16:23:59 mquinson Exp $
 
 # SUFF (defined in Makefile.defs) is the versioning suffix added to binaries and
 # resource files. To get rid of it (and do a non-versioned install,
@@ -34,7 +34,7 @@
 LIBS  =	$(FLEXML_ACT)
 DATA  =	skel
 MANS  =	flexml.1
-DOCS  =	README NOTES TODO flexml-act.dtd EnlargeFlex.patch
+DOCS  =	README NOTES TODO flexml-act.dtd
 HTMLS =	FleXML.html paper.html
 
 SRC =	$(STUFF) $(DATA) $(DOCS) $(HTMLS)
@@ -70,7 +70,7 @@
 	mkdir $(FLEXML_DISTDIR)
 	cp $(STUFF) $(DATA) $(DOCS) $(HTMLS) flexml-act-bootstrap.c \
 		$(FLEXML_DISTDIR)
-	cp -r examples $(FLEXML_DISTDIR)
+	cp -r examples testbed $(FLEXML_DISTDIR)
 	find $(FLEXML_DISTDIR) -name CVS | xargs rm -rf
 	find $(FLEXML_DISTDIR) -name .cvsignore | xargs rm -rf
 	tar cvfz $(FLEXML_DISTDIR).tar.gz $(FLEXML_DISTDIR)
@@ -131,8 +131,8 @@
 
 # TESTS.
 
-clean::; make -C examples $@
-test::; make -C examples $@
+clean::; make -C examples $@; make -C testbed $@
+test::;  make -C examples $@; make -C testbed $@
 
 # END.
