=== examples/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # Make(1) rules for FleXML XML processor generator system.
-# Copyright  1999 Kristoffer Rose.  All rights reserved.
+# Copyright (c) 1999 Kristoffer Rose.  All rights reserved.
 #
 # This file is part of the FleXML XML processor generator system.
-# Copyright  1999 Kristoffer Rose.  All rights reserved.
+# Copyright (c) 1999 Kristoffer Rose.  All rights reserved.
 #
 # This program is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by the Free
@@ -18,7 +18,7 @@
 # with this program; if not, write to the Free Software Foundation, Inc., 59
 # Temple Place, Suite 330, Boston, MA 02111-1307 USA.
 
-# $Id: Makefile,v 1.5 2006/03/21 13:11:27 mquinson Exp $
+# $Id: Makefile,v 1.8 2006/08/28 20:50:38 wdowling Exp $
 
 # FILES.
 
@@ -30,7 +30,7 @@
 
 SAMPS =	my.dtd my-show.act my-joke.xml my-joke2.xml my-joke3.xml \
 	tricky.dtd tricky.act tricky.xml \
-	test.html
+	test.html xhtml1-transitional.dtd
 
 SRC =	$(SAMPS)
 ALL =	$(SAMPS)
@@ -115,9 +115,6 @@
 
 # Complex example: application to print XHTML <a href=...> values.
 
-xhtml1-transitional.dtd:
-	wget 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'
-
 xhtml1-transitional.l xhtml1-transitional.h: xhtml1-transitional.dtd
 	$(FLEXML_PROG) -rhtml \
 		-p "-//IETF//DTD XHTML 1.0 Transitional//EN" \
@@ -126,6 +123,9 @@
 
 xhtml1-transitional.c:	xhtml1-transitional.l
 	$(FLEX) -B -s -v -Ca -oxhtml1-transitional.c xhtml1-transitional.l
+
+# turn off the -O2 when building this -- it takes too long to run
+xhtml1-transitional.o: CFLAGS = -g
 
 xhtml1-transitional.o:	xhtml1-transitional.c xhtml1-transitional.h
 
@@ -138,7 +138,7 @@
 	if ./xhtml-href <test.html   ; then echo "TEST PASSED"; else echo "TEST FAILED"; fi
 	if ./xhtml-href < FleXML.xml ; then echo "TEST PASSED"; else echo "TEST FAILED"; fi
 
-clean::; $(RM) xhtml1-*.dtd xhtml1-*.[lhco] xhtml-href.[co] xhtml-href
+clean::; $(RM) xhtml1-*.[lhco] xhtml-href.[co] xhtml-href
 
 # END.
